Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package javac
  Definition Classes
    nsc
-  trait JavaScanners extends ScannersCommon
  Definition Classes
    javac
- AbstractJavaScanner
- AbstractJavaTokenData
- CommonTokenData
- DocScanner
- JavaScanner
- JavaScannerConfiguration
- JavaTokenData
- JavaUnitScanner
- ScannerCommon

c

scala.tools.nsc.javac.JavaScanners

# AbstractJavaScanner 

###

#### abstract class AbstractJavaScanner extends AbstractJavaTokenData

...

Source
  JavaScanners.scala

Linear Supertypes
AbstractJavaTokenData, AnyRef, Any
Known Subclasses
ScaladocJavaUnitScanner, JavaScanner, JavaUnitScanner
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AbstractJavaScanner
2. AbstractJavaTokenData
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AbstractJavaScanner()

### Type Members

1.  abstract type ScanPosition
   Definition Classes
     AbstractJavaTokenData

### Abstract Value Members

1.  abstract val NoPos: ScanPosition
   Definition Classes
     AbstractJavaTokenData
2.  abstract def currentPos: Global.Position
3.  abstract def floatVal(negated: Boolean): Double
4.  implicit abstract def g2p(pos: ScanPosition): Global.Position
5.  abstract def intVal(negated: Boolean): Long
6.  abstract def name: Global.Name
   Definition Classes
     AbstractJavaTokenData
7.  abstract def next: AbstractJavaTokenData
8.  abstract def nextToken(): Unit
9.  abstract def pos: ScanPosition
   Definition Classes
     AbstractJavaTokenData
10.  abstract def token: Int
    Definition Classes
      AbstractJavaTokenData

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from AbstractJavaScanner to any2stringadd[AbstractJavaScanner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (AbstractJavaScanner, B)
   Implicit
     This member is added by an implicit conversion from AbstractJavaScanner to ArrowAssoc[AbstractJavaScanner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (AbstractJavaScanner) ⇒ Boolean, msg: ⇒ Any): AbstractJavaScanner
   Implicit
     This member is added by an implicit conversion from AbstractJavaScanner to Ensuring[AbstractJavaScanner] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (AbstractJavaScanner) ⇒ Boolean): AbstractJavaScanner
   Implicit
     This member is added by an implicit conversion from AbstractJavaScanner to Ensuring[AbstractJavaScanner] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): AbstractJavaScanner
    Implicit
      This member is added by an implicit conversion from AbstractJavaScanner to Ensuring[AbstractJavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): AbstractJavaScanner
    Implicit
      This member is added by an implicit conversion from AbstractJavaScanner to Ensuring[AbstractJavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def floatVal: Double
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from AbstractJavaScanner to StringFormat[AbstractJavaScanner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  def intVal: Long
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  def →[B](y: B): (AbstractJavaScanner, B)
    Implicit
      This member is added by an implicit conversion from AbstractJavaScanner to ArrowAssoc[AbstractJavaScanner] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AbstractJavaTokenData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AbstractJavaScanner to any2stringadd[AbstractJavaScanner]

### Inherited by implicit conversion StringFormat from AbstractJavaScanner to StringFormat[AbstractJavaScanner]

### Inherited by implicit conversion Ensuring from AbstractJavaScanner to Ensuring[AbstractJavaScanner]

### Inherited by implicit conversion ArrowAssoc from AbstractJavaScanner to ArrowAssoc[AbstractJavaScanner]

### Ungrouped